Subject: Re: [Bitcoin-development] [RFC] [BIP proposal] Dealing with malleability

From: Gregory Maxwell <[email-masked]>
Date: Wed, 19 Feb 2014 12:39:07 -0800

On Wed, Feb 19, 2014 at 12:28 PM, Michael Gronager <[email-masked]> wrote:
> Twisting your words a bit I read:
>
> * you want to support relay of transactions that can be changed on the fly, but you consider it wrong to modify them.
> * #3 is already not forwarded, but you still find it relevant to support it.
>
> Rational use cases of #3 will be pretty hard to find given the fact that they can be changed on the fly. We are down to inclusion in blocks by miners for special purposes - or did I miss out something?

You did. See the other sighash flags.

> I think that we could guarantee fewer incidents by making version 1 transactions unmalleable and then optionally introduce a version 3 that supported the malleability feature. That way most existing problematic implementations would be fixed and no doors were closed for people experimenting with other stuff - tx v 3 would probably then be called experimental transactions.

In exchange you make the behavior basically impossible do deploy
without first blocking all ongoing transactions. This seems foolish.
All signers need to be updated to change their behavior to be
anti-malleability compatible, they can change their version at the
same time... and leave things actually working for the things which
can't be easily updated.